import { Language } from '../types'
import { welcomeTemplate } from './welcome'
import { passwordResetTemplate } from './password-reset'

const templates = {
  welcome: welcomeTemplate,
  passwordReset: passwordResetTemplate
}

export function getEmailTemplate(name: string, language: Language) {
  const template = templates[name as keyof typeof templates]
  if (!template) {
    throw new Error(`Template ${name} not found`)
  }
  return template[language]
}